import os,sys
sys.path.append(os.path.join(os.environ['SUMO_HOME'], 'tools'))
import traci

traci.start(['sumo-gui',
    '-n', 'net.net.xml',
    '-r', 'routes.xml',
    ])

while traci.simulation.getMinExpectedNumber() > 0:
        
    traci.simulationStep()
    
    if traci.simulation.getTime() == 10:
        traci.lane.setAllowed("4_1", "authority")
        traci.lane.setAllowed("4_2", "authority")
    
    if traci.simulation.getTime() == 300:
        traci.lane.setAllowed("4_1", "passenger")
        traci.lane.setAllowed("4_2", "passenger")
        for veh in traci.edge.getLastStepVehicleIDs("3"):
            #print("updateBestLanes %s" % veh)
            traci.vehicle.updateBestLanes(veh)

traci.close()
